Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface ImageInfo

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  ImageInfoImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface ImageInfo

extends Belonging

The ImageInfo class is used to store information related to images for product items and categories. Attribute: language

- Containment: By Value
- Multiplicity: 1:1

Attribute: alternateText

- Containment: By Value
- Multiplicity: 1:1

Attribute: url

- Containment: By Value
- Multiplicity: 1:1

Attribute: type

- Containment: By Value
- Multiplicity: 1:1

Attribute: name

- Containment: By Value
- Multiplicity: 1:1

See Also
  `ImageInfoHome`, `ImageInfoImpl`

Method Summary
`String` | `getAlternateText()` Deprecated See BEA Commerce product offering
`String` | `getLanguage()` Deprecated See BEA Commerce product offering
`String` | `getName()` Deprecated See BEA Commerce product offering
`int` | `getType()` Deprecated See BEA Commerce product offering
`String` | `getUrl()` Deprecated See BEA Commerce product offering
`void` | `setAlternateText(String alternateText)` Deprecated See BEA Commerce product offering
`void` | `setLanguage(String language)` Deprecated See BEA Commerce product offering
`void` | `setName(String name)` Deprecated See BEA Commerce product offering
`void` | `setType(int type)` Deprecated See BEA Commerce product offering
`void` | `setUrl(String url)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getLanguage

    String getLanguage()

  Deprecated See BEA Commerce product offering

  Get the value of language

  Returns
    language.

### setLanguage

    void setLanguage(String language)

  Deprecated See BEA Commerce product offering

  Set the value of language

  Parameters
    `language` - language to be added

### getAlternateText

    String getAlternateText()

  Deprecated See BEA Commerce product offering

  Get the value of alternateText

  Returns
    alternateText.

### setAlternateText

    void setAlternateText(String alternateText)

  Deprecated See BEA Commerce product offering

  Set the value of alternateText

  Parameters
    `alternateText` - alternateText to be added

### getUrl

    String getUrl()

  Deprecated See BEA Commerce product offering

  Get the value of url

  Returns
    url.

### setUrl

    void setUrl(String url)

  Deprecated See BEA Commerce product offering

  Set the value of url

  Parameters
    `url` - url to be added

### getType

    int getType()

  Deprecated See BEA Commerce product offering

  Get the value of type

  Returns
    type.

### setType

    void setType(int type)

  Deprecated See BEA Commerce product offering

  Set the value of type

  Parameters
    `type` - type to be added

### getName

    String getName()

  Deprecated See BEA Commerce product offering

  Get the value of name

  Returns
    name.

### setName

    void setName(String name)

  Deprecated See BEA Commerce product offering

  Set the value of name

  Parameters
    `name` - name to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved